[
{
    blockid=ube;
    help=service_smtp_plugin_ube_ube_ube;
    custom=com.netscape.management.msgserv.StoreUbeControl;
    localvar={
	.headers="\ud56d\ubaa9";
	.headers.text="\uacbd\ub85c";
	.headers="\uc635\uc158";
	.ube.button.moveup="\uc704\ub85c \uc774\ub3d9";
	.ube.button.movedown="\uc544\ub798\ub85c \uc774\ub3d9";
	.ube.button.option="\uc635\uc158...";
	.parseheader.text="\uba54\uc2dc\uc9c0 \ud5e4\ub354 \uad6c\ubb38 \ubd84\uc11d";
    },
    layout=[ybox];
    content=[
	{
	    ctrl=label;
	    text="\uc694\uccad\ud558\uc9c0 \uc54a\uc740 \ub300\ub7c9 \uc804\uc790 \uc6b0\ud3b8 \uad6c\uc131";
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=ubeTable;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    columns=$.headers;
	    columns=[
		{
		    header="\ud65c\uc131";
		    editor=boolean;
		    renderer=boolean;
		    width=60;
		},
		{
		    header="\ud544\ud130";
		    width=300;
		}
	    ]
	   buttons=[
	     {
	       ctrl=button;
	       id=moveupbutton;
	       text=$.ube.button.moveup;
	       cmd=.table.moveUp;
	     },
	     {
	       ctrl=button;
	       id=movedownbutton;
	       text=$.ube.button.movedown;
	       cmd=.table.moveDown;
	     }
	   ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=togglepane;
	    id=parseheadertoggle;
	    text=$.parseheader.text;
	    aligny=0.5;
	}
    ]
},
{
    blockid=addDialog;
    help=service_smtp_plugin_ube_ube_addDialog;
    localvar={
	.title.edit="UBE \ud544\ud130";
	.title.add="UBE \ud544\ud130";
	.entry.text="\uc774\ub984(\uc635\uc158): ";
	.path.text="\uacbd\ub85c:";
	.option.text="\uc635\uc158:";
	.funcs.text="\uae30\ub2a5:";
	.if.text="IF";
	.otherfield.text="\uae30\ud0c0 \ud544\ub4dc(\uc0ac\uc6a9\uc790 \uc815\uc758)";
	.case.text="\ub300/\uc18c\ubb38\uc790 \uad6c\ubd84";
	.envonly.text="\ud3b8\uc9c0 \ubd09\ud22c\ub9cc";
	.value.equal.text="=";
	.value.notequal.text="!=";
	.value.text="\uac12";
	.then.text="\uc774\ud6c4";
	.choice.labels=[COPY,DROP,DROPRCPT,EXIT,HOLDCOPY,HOLDONLY,JUMP,REJECT,RUN];
	.argument.label="\uc778\uc218";
        /* Have fun i18n this */
	.ifchoice.labels=[Also-Control,Alternate-Recipient,Apparently-To,Approved,Article-Names,Article-Updates,Auto-Forwarded,Autoforwarded,Bcc,Cc,
          Channel-To,Client,Comments,Content-Base,Content-Conversion,Content-Description,Content-Disposition,Content-ID,Content-Identifier,Content-Language,
          Content-Location,Content-MD5,Content-Return,Content-SGML-Entity,Content-Transfer-Encoding,Content-Type,Conversion,Conversion-With-Loss,
          DL-Expansion-History,DL-Expansion-History-Indication,Date,Delivery-Date,Delivery-Report,Description,Discarded-X400-IPMS-Extensions,
          Discarded-X400-MTS-Extensions,Disclose-Recipients,Disposition,Distribution,Encoding,Errors-To,Expires,Expiry-Date,Extension,Fax,Fcc,Followup-To,
          For-Comment,For-Handling,Forwarded,From,Generate-Delivery-Report,History,ID,Identifier,Importance,In-Reply-To,Incomplete-Copy,Information-Types,
          Keywords,Language,Length,Lines,MD5,MIME-Version,Mail-From,Mail-System-Version,Mailer,Message-ID,Message-Type,Newsgroups,Newsreader,Obsoletes,
          Organization,Organization,Original-Encoded-Information-Types,Originating-Client,Path,Phone,Precedence,Prevent-NonDelivery-Report,Priority,Rcpt-To,
          Received,Recipient,References,Reply-By,Reply-To,Resent,Resent-Date,Resent-From,Resent-Message-ID,Resent-Reply-To,Resent-To,Resent-bcc,Resent-cc,
          Return,Return-Path,Return-Receipt-To,See-Also,Sender,Sensitivity,Status,Subject,Summary,Supersedes,Telefax,To,Transfer-Encoding,Type,User-From,
          Version,X-Mailer,X-Newsreader,X400-Content-Return,Xref];

    },
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=entrylabel;
	    text=$.entry.text;
	    label=ifchoice;
	    constraint={
		gridx=0;
		gridy=0;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    val=$label;
	    label=entrylabel;
	    focus=true;
	    constraint={
		gridx=1;
		gridy=0;
		gridwidth=3;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		gridwidth=4;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.if.text;
	    constraint={
		gridx=0;
		gridy=2;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=choice;
	    editable=true;
	    id=ifchoice;
	    labels=$.ifchoice.labels;
	    items=$.ifchoice.labels;
	    val=$field;
	    constraint={
		gridx=1;
		gridy=2;
		gridwidth=3;
		anchor=west;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
		gridx=1;
		gridy=3;
		anchor=east;
		insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    style=radio;
		    val=$radio1;
		    text=$.value.equal.text;
		    group=equality;
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    val=$radio2;
		    text=$.value.notequal.text;
		    group=equality;
		}
	    ]
	},
	{
	    ctrl=label;
	    id=valuetextlabel;
	    text=$.value.text;
	    constraint={
		gridx=2;
		gridy=3;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=valuetextlabel;
	    val=$thevalue;
	    constraint={
		gridx=3;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
		gridx=1;
		gridy=4;
		gridwidth=3;
		anchor=west;
		insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    val=$case;
		    id=casesensitive;
		    text=$.case.text;
		},
		{
		    ctrl=togglepane;
		    val=$envonly;
		    text=$.envonly.text;
		    id=envonly;
		}
	    ]
	},
	{
	    ctrl=label;
	    id=thenlabel;
	    text=$.then.text;
	    constraint={
		gridx=0;
		gridy=6;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=choice;
	    id=actionchoiceid;
	    labels=$.choice.labels;
	    items=$.choice.labels;
	    val=$action;
	    constraint={
		gridx=1;
		gridy=6;
		gridwidth=3;
		anchor=west;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=argumentlabel;
	    text=$.argument.label;
	    constraint={
		gridx=2;
		gridy=7;
		anchor=east;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=argumentlabel;
	    val=$argument;
	    constraint={
		gridx=3;
		gridy=7;
		/*gridwidth=2;*/
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=optionDialog;
    help=service_smtp_plugin_ube_ube_optionDialog;
    localvar={
	.holdtplbody.text="\uc791\uc5c5 \ud15c\ud50c\ub9bf \ud30c\uc77c \uacbd\ub85c:";
    .holdtplerrmsg.text="\uc624\ub958 \uba54\uc2dc\uc9c0 \ud30c\uc77c \uacbd\ub85c:";
	.title.optionDialog="UBE \uc635\uc158 \ud3b8\uc9d1";
    },
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=tplbody;
		    text=$.holdtplbody.text;
		    wrap=$g.label.size1;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$HoldTplBody;
		    label=tplbody;
		    focus = true;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=tplerr;
		    text=$.holdtplerrmsg.text;
		    wrap=$g.label.size1;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$HoldTplErrmsg;
		    label=tplerr;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    size=$g.label.size4;
	}
    ]
}
]
